org.apache.flume.sink

## Class SinkGroup

- java.lang.Object
- - org.apache.flume.sink.SinkGroup

- All Implemented Interfaces:
    Configurable, ConfigurableComponent

      public class SinkGroup
      extends Object
      implements Configurable, ConfigurableComponent

  Configuration concept for handling multiple sinks working together.

  See Also:
    `org.apache.flume.conf.properties.PropertiesFileConfigurationProvider`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkGroup(List<Sink> groupSinks)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ComponentConfiguration conf)`
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `SinkProcessor` | `getProcessor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkGroup

          public SinkGroup(List<Sink> groupSinks)

  - ### Method Detail

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### getProcessor

          public SinkProcessor getProcessor()

    - #### configure

          public void configure(ComponentConfiguration conf)

      Specified by:
        `configure` in interface `ConfigurableComponent`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.